VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/openafs-release/-/tree/e3301418cac3454922609da1b4092f8a3b431dda
%define product openafs
%define debug_package %{nil}
%define distOS 8s

Name:		%{product}-release
Version:	1.1
Release:	1%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	%{product}.repo

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} .
%if "%{distOS}" == "8"
    %define DNFVARIABLE cernbase
%else
    %define DNFVARIABLE cernstream8
%endif
sed -i 's/DNFVARIABLE/%{DNFVARIABLE}/g' %{product}.repo

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{product}.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Tue Feb 18 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- move repo to use $cernbase variable

* Fri Nov 22 2019 Ben Morrice <ben.morrice@cern.ch> 1.0-1
- Initial release
